package com.subsecret.dnstester;

import com.subsecret.dnstester.gui.DNSTesterGUI;

public class Main {
    public static void main(String args[]) {
        if (args.length == 0) {
            try {
                DNSTesterGUI.main(args);
            }
            catch (java.awt.HeadlessException e) {
                System.out.println("Graphical User interface failed to launch.");
                System.out.println("Run with -help to display commandline options");
            }
        }
        if (args.length == 1 && args[0].equals("-help")) {
            System.out.println("Usage:");
            System.out.println("  DNSTester (--dns=DNS-IP) (--wait=DELAY) (--hosts=HOSTS)");
            System.out.println("    ");
            System.out.println("     DNS-IP: IP of DNS Server to test (default: System DNS)");
            System.out.println("     DELAY: Delay between requests (default: 2000 ms.)");
            System.out.println("     HOSTS: Hostnames separated by comma to loopup");            
        }
    }
}
